Subject: Gaussian98, ATLAS, IFC, and RedHat 7.1

From: Jim Stoner <[email-masked]>
Date: Tue, 13 Nov 2001 13:16:06 -0700

Fellow CCLers,

I am on the steep accent side of the learning curve when it comes to Linux.

I am currently attempting to build Gaussian98 on our new dual P4
workstation.  I have managed to install RedHat 7.1 - this choice was made
because it is the OS under which another simulation package was built
against - with the 2.4.2-2smp kernel.  I have installed gcc 2.95.3, Intel's
Fortran Complier (fully operational trialware) and ATLAS 3.3.8 as.  I
modified the build files for these libraries.  However, now I am getting an
error that I have little intuition how to solve.  The build proceeds nicely
then crashes and burns here:

<begin Build.log - snip>
ml0.f(2) : (col. 0) remark: main has been targeted for automatic cpu
dispatch.
rm -f ml0.f ml0.c
gmake[1]: Leaving directory `/usr/Gaussian98_A6/g98'
ifc -O3 -tpp7 -WB -axiMKW -align -Zp8 -o g98 ml0.o
  libgauutil.so -L/opt/intel/compiler50/ia32/lib -lPEPCF90
ifc: NOTE: You have 29 days left in your evaluation period.
ml0.o: In function `main$H':
ml0.o(.text+0x643): undefined reference to `upcase_'
ml0.o(.text+0xc00): undefined reference to `defbsn_'
ml0.o: In function `main$A':
ml0.o(.text+0x147f): undefined reference to `upcase_'
ml0.o(.text+0x1a03): undefined reference to `defbsn_'
libgauutil.so: undefined reference to `defbc2_'
libgauutil.so: undefined reference to `qx_'
libgauutil.so: undefined reference to `atl_f77wrap_dcopy_'
libgauutil.so: undefined reference to `atl_f77wrap_drot_'
libgauutil.so: undefined reference to `unpck1_'
libgauutil.so: undefined reference to `denmvs_'
<...>
<snip>
<...>
libgauutil.so: undefined reference to `unrafp_'
libgauutil.so: undefined reference to `unpck3_'
libgauutil.so: undefined reference to `atl_f77wrap_dscal_'
libgauutil.so: undefined reference to `atl_f77wrap_drotg_'
libgauutil.so: undefined reference to `derlmat_'
libgauutil.so: undefined reference to `dencnt_'
libgauutil.so: undefined reference to `pthread_join'
libgauutil.so: undefined reference to `decacc_'
gmake: *** [g98] Error 1
endif
<end Build.log>

I am not entirely sure what is happening here other than there seems to be
links missing from the libgauutil.so.  Does anyone have any experiences with
this sort of problem or have any intuition where to begin to solve this?
Any and all help, comments, and question would greatly be appreciated.

Thanks
Jim

=========================================
|  James W. Stoner
|  Eaton Electron Paramagnetics Laboratory
|  University of Denver
|  Department of Chemistry and Biochemistry
|  Seeley G. Mudd Building, Lab 173
|  2101 East Wesley Avenue
|  Denver, Colorado 80208
|  303/871-2978
|  Fax:  303/871-2254
=========================================